## org.apache.poi.ss.formula.functions
Class Now

    java.lang.Object
      org.apache.poi.ss.formula.functions.Fixed0ArgFunction
          org.apache.poi.ss.formula.functions.Now

All Implemented Interfaces:
  Function, Function0Arg

    public final class Now

extends Fixed0ArgFunction

Implementation of Excel NOW() Function

Author:
  Frank Taffelt

Constructor Summary
`Now()`

Method Summary
`ValueEval` `evaluate(int srcRowIndex, int srcColumnIndex)` see `Function.evaluate(ValueEval[], int, int)`

Methods inherited from class org.apache.poi.ss.formula.functions.Fixed0ArgFunction
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Now

    public Now()

Method Detail

### evaluate

    public ValueEval evaluate(int srcRowIndex,
                              int srcColumnIndex)

  Description copied from interface: `Function0Arg`
  see `Function.evaluate(ValueEval[], int, int)`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.